Защита WordPress с помощью плагина, который спасает от плагинов

В этой статье мы вам расскажем о плагине, который организовывает защиту WordPress от других плагинов. Несмотря на то, что выражение это звучит тавтологично, смысл в нём есть, достаточно только понять, каким образом чаще всего взламываются сайты.

Какой бы сильной ни была защита WordPress, если в обороне есть хоть одна брешь, через неё пролезут хакеры и уведут сайт. Этой брешью чаще всего случается какой-либо плагин. Даже если скачивать плагины с надёжных источников от знаменитых разработчиков, нет гарантии, что хакеры не придумают, как пройти через него на ваш сайт.

Возможно, даже сейчас, пока вы читаете эту статью, взломщики придумывают способ, как нарушить защиту WordPress через какой-либо популярный плагин.

Plugin Vulnerabilities

Plugin Vulnerabilities – этот самый плагин, который защищает WordPress от плагинов. Для начала его надо скачать на сайте разработчика или из панели администратора, затем установить и активировать.

После активации плагин сразу начинает работать. Чтобы проверить, не нарушают ли какие-либо другие плагины защиту WordPress, необходимо пройти в пункт меню «Плагины» и подпункт «Установленные». Здесь Plugin Vulnerabilities отметит красным сообщение, какие из дополнения являются потенциально опасными. Если тревожных сообщений нет, значит всё хорошо.

Если оказалось, что какое-либо дополнение нарушает защиту WordPress, то есть три способа решить проблему.

Первый, самый простой и действенный. Нужно просто удалить неполноценный плагин и восстановить тем самым защиту WordPress. сделать это можно без ущерба для сайта, если подобрать для замены плагин с аналогичным функционалом. Это должно быть не сложно, так как дополнений для WordPress есть очень много.

Второй способ более сложный, можно использовать, если первый не подошёл. Нужно попробовать откатить версию плагина на более раннюю. Возможно, тогда в нём не было брешей, которые нарушали защиту WordPress. Чтобы не гадать, какая из версий подойдёт и не устанавливать всё подряд, нужно перейти в панели администратора в пункт «Плагины» и «Plugin Vulnerabilities». Здесь можно посмотреть перечень всех опасных плагинов, а также увидеть, какие их версии можно использовать без ущерба для безопасности сайта.

Третий способ – ничего не делать, а просто дожидаться, когда разработчики создадут обновление, которое прикрывает опасную брешь. Это, конечно, очень опасно для защиты WordPress и возможно повлечёт последствия, но не всегда удаётся воспользоваться первыми двумя способами. Кроме того, если плагин известен, а разработчики его состоятельны, то обновление не заставит себя ждать.

Этот способ можно дополнить защитой WordPress от подбора пароля к панели администратора. Об этом мы писали тут.

Звёзд: 1Звёзд: 2Звёзд: 3Звёзд: 4Звёзд: 5 (Оцените статью)
Загрузка...

Также по этой теме:

  1. Благодарю. Установила.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Как создать блог. Видео Уроки WordPress © 2017 | Оставляя комментарий на сайте или используя форму обратной связи, вы соглашаетесь с правилами обработки персональных данных.